Bug 105773 - iptables init script does not support "nomodules" boot parameter
Summary: iptables init script does not support "nomodules" boot parameter
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: iptables (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Thomas Woerner
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-09-27 12:10 UTC by Marcus Grando
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-03-08 10:05:40 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Marcus Grando 2003-09-27 12:10:04 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.5) Gecko/20030925

Description of problem:
iptables init script does not support "nomodules" boot parameter

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Recompile kernel with no modules
2. add "nomodules" in grub options in startup
3. On load /etc/init.d/iptables occours fail
    

Actual Results:  FAIL

Expected Results:  Load rules and start firewall

Additional info:

Comment 1 Thomas Woerner 2004-03-08 10:05:40 UTC
Monotihic netfilter is not supperted. The newer versions of the
iptables init script do have a option named "IPTABLES_MODULES_UNLOAD".
Set this in /etc/sysconfig/iptables-config to "no"; this might work
for you.


Note You need to log in before you can comment on or make changes to this bug.